=== debian/control ===
Source: dnsmasq
Section: net
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-runit,
               dh-sequence-installsysusers,
               gettext,
               libdbus-1-dev,
               libgmp-dev,
               libidn2-dev,
               liblua5.4-dev,
               libnetfilter-conntrack-dev [linux-any],
               libnftables-dev,
               nettle-dev,
               pkgconf,
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Uploaders: Sven Geuer <sge@debian.org>,
Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: https://thekelleys.org.uk/git/dnsmasq-debian.git
Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq-debian.git
Standards-Version: 4.7.3

Package: dnsmasq
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: dnsmasq-base,
         netbase,
         ${misc:Depends},
Suggests: resolvconf,
Breaks: ${runit:Breaks},
Conflicts: ${runit:Conflicts},
Description: Small caching DNS proxy and DHCP/TFTP server - system daemon
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a
 small network. It can serve the names of local machines which are
 not in the global DNS. The DHCP server integrates with the DNS
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: dns-root-data,
Provides: dnsmasq-base,
Conflicts: dnsmasq-base-lua,
Description: Small caching DNS proxy and DHCP/TFTP server - executable
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: dns-root-data,
Provides: dnsmasq-base,
Conflicts: dnsmasq-base,
Description: Small caching DNS proxy and DHCP/TFTP server - executable, Lua-enabled
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the Lua interpreter.

Package: dnsmasq-utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.
