=== debian/tests/control ===
Tests: compile-time-options,
Depends: dnsmasq,
         dnsmasq-base,
Restrictions: isolation-container,
              needs-root,

Tests: compile-time-options+lua,
Depends: dnsmasq,
         dnsmasq-base-lua,
Restrictions: isolation-container,
              needs-root,

Tests: get-address+query-dns+check-utils,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         dnsmasq-utils,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: get-address+query-dns+lua+alt,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base-lua,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: get-address+query-dns+sysv+alt,
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         ifupdown,
Restrictions: allow-stderr,
              isolation-container,
              needs-root,

Tests: verify-fix-to-bug-871958,
Depends: dnsmasq,
         postfix,
         resolvconf,
Restrictions: isolation-container,
              needs-root,
